<!DOCTYPE html>
<html lang="en" xmlns="http://www.w3.org/1999/xhtml">
<head>
	<title>Margin Boxes</title>
	<style>
		:root {
			font-family: monospace;
			font-size: 10pt;
		}

		@page {
			size: 10.5cm 14.8cm;
			margin: 1cm;
			padding: 0 .5cm;

			@top-left-corner {
				content: element(tlc);
				padding: 0.5em;
				border-right: solid 1px black;
				border-bottom: solid 1px black;
				box-sizing: border-box;
			}

			@top-left {
				content: element(tl);
				padding: 0.5em;
				border-right: solid 1px black;
				border-bottom: solid 1px black;
				width: 1cm;
			}
			@top-center {
				content: element(tc);
				padding: 0.5em;
				border-bottom: solid 1px black;
				width: 2cm;
			}
			@top-right {
				content: element(tr);
				padding: 0.5em;
				border-left: solid 1px black;
				border-bottom: solid 1px black;
				width: 4cm;
			}

			@top-right-corner {
				content: element(trc);
				padding: 0.5em;
				border-left: solid 1px black;
				border-bottom: solid 1px black;
				box-sizing: border-box;
			}

			@right-top {
				content: element(rt);
				padding: 0.5em;
				border-left: solid 1px black;
				border-bottom: solid 1px black;
				height: 1cm;
			}
			@right-middle {
				content: element(rm);
				padding: 0.5em;
				border-left: solid 1px black;
				height: 2cm;
			}
			@right-bottom {
				content: element(rb);
				padding: 0.5em;
				border-left: solid 1px black;
				border-top: solid 1px black;
				height: 4cm;
			}

			@bottom-right-corner {
				content: element(brc);
				padding: 0.5em;
				border-left: solid 1px black;
				border-top: solid 1px black;
				box-sizing: border-box;
			}

			@bottom-left {
				content: element(bl);
				padding: 0.5em;
				border-right: solid 1px black;
				border-top: solid 1px black;
				width: 1cm;
			}
			@bottom-center {
				content: element(bc);
				padding: 0.5em;
				border-top: solid 1px black;
			}
			@bottom-right {
				content: element(br);
				padding: 0.5em;
				border-left: solid 1px black;
				border-top: solid 1px black;
				width: 4cm;
			}

			@bottom-left-corner {
				content: element(blc);
				padding: 0.5em;
				border-right: solid 1px black;
				border-top: solid 1px black;
				box-sizing: border-box;
			}

			@left-top {
				content: element(lt);
				padding: 0.5em;
				border-right: solid 1px black;
				border-bottom: solid 1px black;
				height: 1cm;
			}
			@left-middle {
				content: element(lm);
				padding: 0.5em;
				border-right: solid 1px black;
			}
			@left-bottom {
				content: element(lb);
				border-right: solid 1px black;
				border-top: solid 1px black;
				height: 4cm;
			}
		}

		.running {
		}

		h1, h2 {
			text-align: center;
		}

		#tlc {
			position: running(tlc);
		}

		#tl {
			position: running(tl);
		}

		#tc {
			position: running(tc);
		}

		#tr {
			position: running(tr);
		}

		#trc {
			position: running(trc);
		}

		#rt {
			position: running(rt);
		}

		#rm {
			position: running(rm);
		}

		#rb {
			position: running(rb);
		}

		#brc {
			position: running(brc);
		}

		#br {
			position: running(br);
		}

		#bc {
			position: running(bc);
		}

		#bl {
			position: running(bl);
		}

		#blc {
			position: running(blc);
		}

		#lb {
			position: running(lb);
		}

		#lm {
			position: running(lm);
		}

		#lt {
			position: running(lt);
		}

	</style>
</head>
<body>
<main>
	<h1>Margin Boxes</h1>
	<h2>running</h2>
	<p>All margins, no size defined.</p>
	<div class="running" id="tlc">tlc</div>
	<div class="running" id="tl">top-left</div>
	<div class="running" id="tc">tc</div>
	<div class="running" id="tr">tr</div>
	<div class="running" id="trc">trc</div>
	<div class="running" id="rt">rt</div>
	<div class="running" id="rm">rm</div>
	<div class="running" id="rb">rb</div>
	<div class="running" id="brc">brc</div>
	<div class="running" id="br">br</div>
	<div class="running" id="bc">bc</div>
	<div class="running" id="bl">bl</div>
	<div class="running" id="blc">blc</div>
	<div class="running" id="lb">lb</div>
	<div class="running" id="lm">lm</div>
	<div class="running" id="lt">lt</div>
</main>
</body>
</html>
